#!/bin/sh

appName='simadxvctl'

if [ "X$1" = 'X-h' -o "X$1" = 'X--help' ]; then
  echo 'Usage: control.sh [P [I]]'
  echo 'Parameters:'
  echo '  P             PV prefix (default: "x7idb:")'
  echo '  I             Imcais identifier (default: "Is")'
  echo 'Example: control.sh'
  echo 'Example: control.sh ioc23: Is2'
  exit 0
fi

P='x7idb:'
if [ "X$1" != 'X' ]; then P="$1"; fi
I='Is'
if [ "X$2" != 'X' ]; then I="$2"; fi

thisScriptHome=`dirname "$0"`
cd "$thisScriptHome"
if [ $? -ne 0 ]; then
  echo "Error: failed to cd to \"$thisScriptHome\"." 1>&2
  exit 1
fi
thisScriptHome=`pwd`
if [ $? -ne 0 ]; then
  echo 'Error: failed to get current working directory.' 1>&2
  exit 1
fi

cd "../${appName}App/op/adl"
if [ $? -ne 0 ]; then
  printf 'Error: failed to cd to ' 1>&2
  echo "\"$thisScriptHome/../${appName}App/op/adl\"." 1>&2
  exit 1
fi

exec medm -x -macro "P=$P,I=$I" ./"${appName}.adl"
